For Developers

List Feed Subscribers

GET https://ed.link/api/v2/teams/:team_id/applications/:application_id/subscribers

Returns all feed subscribers registered for the application.

Permissions

Requires the feed_subscribers.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.

Sample Request

const response = await axios.get(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/subscribers`,
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": [
        {
            "id": "1c7a216b-4e09-4d24-8f47-c0e815617a22",
            "name": "Production Webhook",
            "type": "webhook",
            "state": "active",
            "events": ["integration.created", "sync.completed"]
        }
    ]
}